ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Hodge" <dyho...@gmail.com>
Subject Re: IVY resolving POMs with Revision ${project.revision}
Date Thu, 01 Nov 2007 18:11:53 GMT
Just created them IVY-636 and IVY-637 and thanks.

On 11/1/07, Xavier Hanin <xavier.hanin@gmail.com> wrote:
>
> Ok so the problem is that current Ivy version suffers from 2 m2
> incompatibilities:
> - does not recognize parent pom (in this case
>
> http://repo1.maven.org/maven2/org/mortbay/jetty/project/6.1.5/project-6.1.5.pom
> )
> - does not recognize properties section (defined at the end of the parent
> pom in this case)
>
> I was aware of the first one, not the second. But it seems that none of
> those two incompatibilities have an open issue. Could you please create
> them?
>
> Xavier
>
> On 11/1/07, David Hodge <dyhodge@gmail.com> wrote:
> >
> > Here you go, and thanks.
> >
> >
> >
> http://repo1.maven.org/maven2/org/mortbay/jetty/jetty-plus/6.1.5/jetty-plus-6.1.5.pom
> >
> > David Y. Hodge
> >
> > On 11/1/07, Xavier Hanin <xavier.hanin@gmail.com> wrote:
> > >
> > > On 11/1/07, David Hodge <dyhodge@gmail.com> wrote:
> > > >
> > > > Thanks I am using the latest version and it is indeed fixed. Have
> > > another
> > > > question that I think is related
> > > > I have a dependency on jett-plus,
> > >
> > >
> > > Could you provide a link to the POM so that we can see how it is
> > written?
> > >
> > > however it depends on geronimo-spec-jta
> > > > and it ends up looking for this url causing a problem:
> > > >
> > > >
> > > >
> > >
> >
> http://repo1.maven.org/maven2/geronimo-spec/geronimo-spec-jta/${jta-spec-version}/geronimo-spec-jta-${jta-spec-version}.pom
> > > >
> > > > I took a glance at the bug fix for the project.version issue but I
> am
> > > not
> > > > sure how this should be handled.
> > >
> > >
> > > I don't know how the jta-spec-version is provided in the POM, but I
> > don't
> > > think this is a standard  property. As a workaround for the moment you
> > can
> > > provide a value to this property in Ivy or Ant: <property
> > > name="jta-spec-version"
> > > value="1.0-M1" />
> > >
> > > Xavier
> > >
> > > Thanks,
> > > >
> > > > David Y. Hodge
> > > >
> > > > On 10/30/07, Maarten Coene <maarten_coene@yahoo.com> wrote:
> > > > >
> > > > > This has been fixed in trunk (cfr.
> > > > > https://issues.apache.org/jira/browse/IVY-620)
> > > > > The best you could do is to try it again with the latest Ivy
> > snapshot
> > > > >
> > > > > --
> > > > > Maarten
> > > > >
> > > > >
> > > > > ----- Original Message ----
> > > > > From: David Hodge <dyhodge@gmail.com>
> > > > > To: ivy-user@incubator.apache.org
> > > > > Sent: Monday, October 29, 2007 2:34:37 PM
> > > > > Subject: IVY resolving POMs with Revision ${project.revision}
> > > > >
> > > > >
> > > > > I am trying to use Ivy to download a dependency, SLF4J, and I get
> an
> > > > > error
> > > > > because the revision is not 1.4.3 but is ${project.revision}  What
> > is
> > > > > the
> > > > > best way to get around this?  Turning off using POMS?
> > > > >
> > > > > Thanks,
> > > > >
> > > > > David Y. Hodge
> > > > >
> > > > >
> > > > >
> > > > >
> > > > > __________________________________________________
> > > > > Do You Yahoo!?
> > > > > Tired of spam?  Yahoo! Mail has the best spam protection around
> > > > > http://mail.yahoo.com
> > > > >
> > > >
> > >
> > >
> > >
> > > --
> > > Xavier Hanin - Independent Java Consultant
> > > http://xhab.blogspot.com/
> > > http://ant.apache.org/ivy/
> > > http://www.xoocode.org/
> > >
> >
>
>
>
> --
> Xavier Hanin - Independent Java Consultant
> http://xhab.blogspot.com/
> http://ant.apache.org/ivy/
> http://www.xoocode.org/
>



-- 
David Yuctan Hodge
Partner
Lucid Technics, LLC
www.lucidtechnics.com
Phone 703.798.9067
Fax 703.563.6279

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message